_grk_stream_params Struct Reference

JPEG 2000 stream parameters - either file or buffer. More...

`#include <grok.h>`

## Public Attributes

const char * | file
uint8_t * | buf
size_t | len

## Detailed Description

JPEG 2000 stream parameters - either file or buffer.

## Member Data Documentation

## buf

uint8_t* _grk_stream_params::buf

Referenced by grk_compress_init(), and grk_decompress_init().

## file

const char* _grk_stream_params::file

Referenced by grk_compress_init(), and grk_decompress_init().

## len

size_t _grk_stream_params::len

Referenced by grk_compress_init(), and grk_decompress_init().

The documentation for this struct was generated from the following file:

- grok.h